!//////////////////////////////////////////////////////
!//
!// circle.f90
!//
!// Program to calculate the circumference of a circle
!//
!//////////////////////////////////////////////////////

PROGRAM circle
  IMPLICIT NONE
  !// Variable declarations
  !// Pi (3.1415)
  REAL                               :: pi
  !// The radius of the circle
  REAL                               :: radius
  !// The result of the calculations
  REAL                               :: circumference

  !// Initialize radius
  radius = 2.5
  !// Calculate pi using theATAN function
  pi = 4 * ATAN(1.)
  !// Calculate the circumference
  circumference = 2. * radius * pi
  !// Print the result
  PRINT *, circumference
END PROGRAM circle
